Last Comment Bug 666383 - [highlighter] make sure devtools.inspector.enabled is preffed off if not ready
: [highlighter] make sure devtools.inspector.enabled is preffed off if not ready
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 14:18 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2013-12-27 14:28 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
inspector disabled (794 bytes, patch)
2011-07-19 12:26 PDT, Rob Campbell [:rc] (:robcee)
gavin.sharp: review+
asa: approval‑mozilla‑aurora+
rcampbell: checkin+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-06-22 14:18:58 PDT
With the landing of the new highlighter code in bug 642471, we need to make sure that the highlighter and inspector feature is ready for shipping. We should track this through the firefox 7 release and adjust the pref before merge as-needed.
Comment 1 Johnathan Nightingale [:johnath] 2011-07-13 11:57:26 PDT
So, we're on aurora now. Rob - are we killing the inspector pref?
Comment 2 Rob Campbell [:rc] (:robcee) 2011-07-18 11:11:36 PDT
Yes. Patch forthcoming.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-07-19 12:26:48 PDT
Created attachment 546866 [details] [diff] [review]
inspector disabled
Comment 4 Asa Dotzler [:asa] 2011-07-19 14:47:28 PDT
Comment on attachment 546866 [details] [diff] [review]
inspector disabled

approved conditional on the positive review.
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-07-19 19:57:12 PDT
Comment on attachment 546866 [details] [diff] [review]
inspector disabled

Seems like you need to adjust the comment too (i.e. just revert http://hg.mozilla.org/mozilla-central/rev/96c76749e35f#l1.1 )
Comment 6 Rob Campbell [:rc] (:robcee) 2011-07-21 13:05:23 PDT
Comment on attachment 546866 [details] [diff] [review]
inspector disabled

landed on aurora:

http://hg.mozilla.org/releases/mozilla-aurora/rev/1b4168e307fb
Comment 7 Simona B [:simonab] 2011-08-19 07:52:07 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Verified issue on Win XP, Win 7, Mac OS X 10.6 and Ubuntu 11.04 - devtools.inspector.enabled is preffed off.

Setting resolution to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.